| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
uiMarkerViewDlg Class Reference
uiWell

Dialog for Viewing the markers for a well. More...

`#include <uiwellmarkerdlg.h>`

Inheritance diagram for uiMarkerViewDlg:
[legend]

## Public Member Functions
| uiMarkerViewDlg (uiParent *, const Well::Data &)
| ~uiMarkerViewDlg ()
Public Member Functions inherited from uiDialog
| uiDialog (uiParent *, const Setup &)
| ~uiDialog ()
void | accept (CallBacker *cb=0)
uiButton * | button (Button)
const uiButton * | button (Button) const
void | done (DoneResult)
void | enableSaveButton (const uiString &txt=uiStrings::sSaveAsDefault())
| Save button enabled when set to non-empty.
CtrlStyle | getCtrlStyle () const
| OK button disabled when set to CloseOnly.
uiGroup * | getDlgGroup ()
int | go ()
int | goMinimized ()
bool | hasSaveButton () const
virtual HelpKey | helpKey () const
bool | isButtonSensitive (Button) const
bool | isModal () const
| mOD_DisableCopy (uiDialog) const Setup &setup() const
int | nrVideos () const
void | reject (CallBacker *cb=0)
void | removeVideo (int)
bool | saveButtonChecked () const
bool | separator () const
void | setBorder (int)
void | setButtonSensitive (Button, bool)
void | setButtonText (Button but, const uiString &txt)
void | setCancelText (const uiString &)
| Cancel button disabled when set to empty.
void | setCtrlStyle (CtrlStyle)
| On construction, it's (of course) OkAndCancel.
void | setHelpKey (const HelpKey &)
void | setHSpacing (int)
void | setModal (bool yn)
void | setOkCancelText (const uiString &ok, const uiString &cnl)
void | setOkText (const uiString &)
void | setSaveButtonChecked (bool)
void | setSeparator (bool yn)
| Separator between central dialog and OK/Cancel bar?
void | setTitleText (const uiString &txt)
void | setVideoKey (const HelpKey &)
void | setVideoKey (const HelpKey &, int idx)
void | setVSpacing (int)
int | uiResult () const
| -1 running, otherwise (int)DoneResult
HelpKey | videoKey (int idx=0) const
Public Member Functions inherited from uiMainWin
| uiMainWin (uiParent *, const uiMainWin::Setup &)
| uiMainWin (uiParent *, const uiString &caption=uiString::emptyString(), int nrstatusflds=1, bool withmenubar=true, bool modal=false)
virtual | ~uiMainWin ()
void | activate ()
void | activateInGUIThread (const CallBack &, bool busywait=true)
void | addDockWindow (uiDockWin &, Dock)
void | addToolBar (uiToolBar *)
void | addToolBarBreak ()
void | adjustSize ()
const uiString & | caption (bool unique=false) const
void | close ()
void | copyToClipBoard ()
const ObjectSet< uiDockWin > & | dockWins () const
bool | finalised () const
bool | finalized () const
uiToolBar * | findToolBar (const char *)
void | forceClose ()
uiRect | geometry (bool frame=true) const
| Position of top-left corner in screen pixel coords.
PopupArea | getPopupArea () const
const char * | getScriptToRun () const
uiMenu & | getToolbarsMenu () const
bool | grab (const char *filenm, int zoom=1, const char *format=0, int quality=-1) const
bool | isDeleteOnClose () const
bool | isHidden () const
bool | isMaximized () const
bool | isMinimized () const
bool | isModal () const
uiMainWin * | mainwin () override
uiMenuBar * | menuBar ()
| mOD_DisableCopy (uiMainWin) enum Dock
| Dock Selector.
uiParent * | parent ()
const uiParent * | parent () const
bool | poppedUp () const
QScreen * | qScreen () const
QWidget * | qWidget () const
void | raise ()
void | reDraw (bool deep) override
void | removeDockWindow (uiDockWin *)
uiToolBar * | removeToolBar (uiToolBar *)
void | restoreDefaultState ()
void | runScript (const char *filename)
void | saveAsPDF (const char *fnm, int w, int h, int res)
mDeprecatedObs void | saveAsPS (const char *fnm, int w, int h, int res)
void | saveImage (const char *fnm, const char *fmt=nullptr, int quality=-1)
void | saveImage (const char *fnm, int w, int h, int res)
void | setActivateOnFirstShow (bool yn=true)
void | setCaption (const uiString &)
void | setCornerPos (int x, int y)
void | setDeleteOnClose (bool yn)
void | setExitAppOnClose (bool yn)
| automatically set by uiMain::setTopLevel
void | setGeometry (const uiRect &)
void | setIcon (const uiPixmap &)
| Default icon is set in uiMain.
void | setIconText (const uiString &)
void | setPopupArea (PopupArea pa)
void | setSensitive (bool yn)
void | setShrinkAllowed (bool yn)
void | setSizeRelativeToScreen (float width, float height)
| width=.75 means 75% of screenwidth
virtual void | show ()
bool | showAlwaysOnTop (bool yn=true)
void | showAndActivate ()
void | showMaximized ()
void | showMinimized ()
bool | showMinMaxButtons (bool yn=true)
void | showNormal ()
bool | shrinkAllowed ()
uiStatusBar * | statusBar ()
void | tabifyDockWindow (uiDockWin &first, uiDockWin &second)
const ObjectSet< uiToolBar > & | toolBars () const
uiGroup * | topGroup ()
void | toStatusBar (const uiString &, int fldidx=0, int msecs=-1)
bool | touch ()
| resets pop-up timer if !poppedUp yet
void | translateText () override
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
virtual Notifier< uiBaseObject > & | postFinalise ()
virtual Notifier< uiBaseObject > & | postFinalize ()
virtual Notifier< uiBaseObject > & | preFinalise ()
virtual Notifier< uiBaseObject > & | preFinalize ()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Private Member Functions
void | exportCB (CallBacker *)

## Private Attributes
uiTable * | table_
ConstRefMan< Well::Data > | wd_ = nullptr

## Additional Inherited Members
Public Types inherited from uiDialog
enum | Button { OK , CANCEL , APPLY , HELP , CREDITS , SAVE }
enum | CtrlStyle { OkAndCancel , RunAndClose , CloseOnly }
enum | DoneResult { Rejected =0 , Accepted =1 }
enum | TitlePos { LeftSide , CenterWin , RightSide }
Public Types inherited from uiMainWin
enum | ActModalTyp { None =0 , Main , Message , File , Color , Font , Unknown }
enum | PopupArea { TopLeft , TopRight , BottomLeft , BottomRight , Middle , Auto }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from uiDialog
static void | setTitlePos (TitlePos)
static TitlePos | titlePos ()
Static Public Member Functions inherited from uiMainWin
static const char * | activeModalQDlgButTxt (int butnr)
static int | activeModalQDlgRetVal (int butnr)
static const char * | activeModalQDlgTitle ()
static ActModalTyp | activeModalType ()
static uiMainWin * | activeModalWindow ()
static uiMainWin * | activeWindow ()
static void | closeActiveModalQDlg (int retval)
static OD::WindowActivationBehavior | getActivateBehavior ()
static void | getModalSignatures (BufferStringSet &)
static void | getTopLevelWindows (ObjectSet< uiMainWin > &, bool visibleonly=true)
static bool | grabScreen (const char *filenm, const char *format=0, int quality=-1, int screen=0)
static bool | grabScreen (const char *filenm, const char *format=0, int quality=-1, QScreen *qscreen=nullptr)
static uiMainWin * | gtUiWinIfIsBdy (QWidget *mwimpl)
| get uiMainWin for mwimpl if it is a uiMainWinBody
static bool | hasPrintSupport ()
static Notifier< uiMainWin > & | iconSetChanged ()
static void | programActiveWindow (uiMainWin *)
static uiMainWin * | programmedActiveWindow ()
static bool | saveAsPDF (QWidget &, const char *fnm, int width, int height, int res)
static void | setActivateBehavior (OD::WindowActivationBehavior)
static uiString | uniqueWinTitle (const uiString &, QWidget *forwindow=0, BufferString *addendum=0)
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from uiDialog
Notifier< uiDialog > | applyPushed
Public Attributes inherited from uiMainWin
Notifier< uiMainWin > | activatedone
Notifier< uiMainWin > | afterPopup
Notifier< uiMainWin > | ctrlCPressed
Notifier< uiMainWin > | runScriptRequest
Notifier< uiMainWin > | windowClosed
| triggered when window exits
Notifier< uiMainWin > | windowHidden
Notifier< uiMainWin > | windowShown
Protected Member Functions inherited from uiDialog
virtual bool | acceptOK (CallBacker *)
| confirm accept
virtual bool | doneOK (int)
| confirm exit
virtual bool | rejectOK (CallBacker *)
| confirm reject
Protected Member Functions inherited from uiMainWin
| uiMainWin (const uiString &, uiParent *)
void | aftPopupCB (CallBacker *)
virtual bool | closeOK ()
| confirm window close
void | copyToClipBoardCB (CallBacker *)
void | languageChangeCB (CallBacker *)
uiObject * | mainobject () override
void | readSettings ()
void | saveAsPDF_PS (const char *fnm, int w, int h, int res)
void | saveSettings ()
void | setContentsMargins (int l, int t, int r, int b)
void | setForceFinalise (bool yn)
void | setForceFinalize (bool)
void | updateCaption ()
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Attributes inherited from uiDialog
bool | cancelpushed_
CtrlStyle | ctrlstyle_
Protected Attributes inherited from uiMainWin
Timer * | afterpopuptimer_ = nullptr
uiMainWinBody * | body_ = nullptr
uiString | caption_
int | languagechangecount_
uiParent * | parent_
PopupArea | popuparea_
BufferString | scripttorun_
uiString | uniquecaption_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_
Static Protected Attributes inherited from uiDialog
static TitlePos | titlepos_

## Detailed Description

Dialog for Viewing the markers for a well.

<>

## Constructor & Destructor Documentation

## ◆ uiMarkerViewDlg()

uiMarkerViewDlg::uiMarkerViewDlg | ( | uiParent * | ,
|  | const Well::Data & | )

## ◆ ~uiMarkerViewDlg()

uiMarkerViewDlg::~uiMarkerViewDlg | ( |  | ) |

## Member Function Documentation

## ◆ exportCB()

void uiMarkerViewDlg::exportCB | ( | CallBacker * |  | ) |
| private

## Member Data Documentation

## ◆ table_

uiTable* uiMarkerViewDlg::table_
| private

## ◆ wd_

ConstRefMan<Well::Data> uiMarkerViewDlg::wd_ = nullptr
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025